#
# spec file for package ikona
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define rdns_name	me.appadeia.ikona

Name:           ikona
Version:        0.7.1
Release:        2.4
Summary:        Icon Preview designed for Plasma
License:        GPL-2.0-or-later
Group:          System/X11/Utilities
URL:            https://invent.kde.org/KDE/ikona
Source0:        %{name}-v%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  pkgconfig
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5PlasmaQuick)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5Widgets)
Requires:       kirigami2
Requires:       plasma-framework-components

%description
A utility to preview icons as they are being made.

%prep
%setup -q -n %{name}-v%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/ikona
%{_datadir}/icons/hicolor/scalable/apps/%{rdns_name}.svg
%{_datadir}/applications/%{rdns_name}.desktop
%{_datadir}/metainfo/%{rdns_name}.appdata.xml

%changelog
* Fri Dec 15 2023 Christophe Marin <christophe@krop.fr>
- Require extra-cmake-modules at build time
* Sun Oct  6 2019 Carson Black <uhhadd@gmail.com>
- Disable services so version won't get changed
* Thu Sep 19 2019 uhhadd@gmail.com
- Update to version v0.7.1
* Wed Sep 11 2019 uhhadd@gmail.com
- Update to version v0.7+git1.827b694:
  * Remove unused templates from CMakeLists.txt
* Wed Sep 11 2019 uhhadd@gmail.com
- Update to version v0.7+git0.4df67cf:
  * Update appdata & desktop metadata
  * CMake
  * Montages, but on the command line
  * Montages
  * Removed CMakeLists.txt.
  * Use checked instead of disabled to show current view
  * Change default homepage from HIG home to HIG icons
  * Use QtQuick.Dialogs instead of kdialog and remove unused imports
  * Update README.md
  * Tidy up the repository and the program
* Sat Aug 10 2019 Carson Black <uhhadd@gmail.com>
- Update to 0.6.1.1, bugfix for stylesheet injection
* Sat Aug 10 2019 Carson Black <uhhadd@gmail.com>
- Update to 0.6.1
* Mon Jul 15 2019 Carson Black <uhhadd@gmail.com>
- Cleaned up specfile
- Add runtime dependencies
- Use reverse domain name
- Update to 0.5.2.4
* Thu Jul 11 2019 Carson Black <uhhadd@gmail.com>
- Update to 0.5.2.1
- Back to CMake because Meson bugs
* Thu Jul 11 2019 Carson Black <uhhadd@gmail.com>
- Update to 0.5.2
- Meson port
* Thu Jul 11 2019 Carson Black <uhhadd@gmail.com>
- Update to 0.5
- Tidy up package files
* Tue Jul  2 2019 Carson Black <uhhadd@gmail.com>
- Update to 0.4
* Wed Jun  5 2019 Carson Black <uhhadd@gmail.com>
- Update to 0.2.3
- Project renamed to Ikona
* Wed Jun  5 2019 Carson Black <uhhadd@gmail.com>
- Update to 0.2.0
- Changeable colors, small icon view, and fancier icon
* Tue Jun  4 2019 Carson Black <uhhadd@gmail.com>
- Initial package
